Bug 148866 - Dual Head does not work on my Dell Lat D600
Dual Head does not work on my Dell Lat D600
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks: FC5Target
  Show dependency treegraph
 
Reported: 2005-02-16 09:32 EST by Gabriel Matthews
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: Fedora Core 4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-30 02:52:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gabriel Matthews 2005-02-16 09:32:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
I'm unsure what specific component is at fault.. However, I'm guessing
XFree86.. I'm no developer for sure, so please let me know if I need
to provide more info.  Here is a synopsis of what happens.

I have a Dell Latitude D600, BIOS Revision A15 (latest), RADEON 9000M
display, 1 gig of RAM, 1.6 Pentium M cpu.  I am running the most up to
date version of FC3 (including the kernel that was released today,
2.6.10-1.766_FC3).  

When I set my display up to use the Clone Display Feature, I choose
all the right settings that I can see.. I have a Dell M992 display
attached to my laptop, which works perfectly in solo mode.. meaning,
if I boot my machine with the lid closed and the monitor plugged in,
as I am right now, I can work and function just fine.  If I boot my
machine with the lid open and the monitor attached, I get a mirrored
image of my display on the monitor and laptop display.  But I'm used
to a windows machine that lets me have an expanded desktop, so I can
make full use of my nice 19" monitor and get more stuff on my screen.  

So, when I go into the system-config-display app, set my display to
use the dual head feature, problems arise.  I choose the Dell M992 (or
Generic 19", doesn't matter) set the screen size to a conservative
1024x768 or 1280x1024, millions of colors, and either individual
desktops OR spanning desktops (which is what I want), and I get the
following result.

I reboot the machine.. in the rc3 init, as it's going through all the
starting of services, my dual head seems to work.. I can move the
mouse across the 2 displays, and it seems promising.  I get to the
point of 'Start HAL Daemon' and SCREEEECH my machine comes to a halt.
 No mouse or keyboard response, just a freeze and it's done.  Can't
CTRL-ALT-F1 to get to a console screen, nuthin'.  To recover, I have
to boot with the FC3 recovery cd, and replace /etc/X11/xorg.conf with
xorg.conf.backup that was created when I hit OK on the Dual Head
setup.  (thankfully this is created)  I reboot again, and VIOLA all is
well in the land of Linux.

Again, I'm no developer, and an intermediate-level linux user, so I
understand a little about how all this works, but not all.  It seems
to me that something is messed up with the X11 app and my hardware, or
something, as replacing that file is all that is required to break/fix
this.  Let me know if you need to know any version info, or anything..
I want to help as much as I can, but I don't know right now what else
I need to tell you that will help.

Thanks!

Gabriel Matthews

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
see description
    

Additional info:
Comment 1 Mike A. Harris 2005-02-16 17:29:10 EST
XFree86 does not exist in Fedora Core 3
Comment 2 Mike A. Harris 2005-03-07 12:36:48 EST
> When I set my display up to use the Clone Display Feature, I choose
> all the right settings that I can see..
[snip]
> If I boot my
> machine with the lid open and the monitor attached, I get a mirrored
> image of my display on the monitor and laptop display.

That is exactly what "clone" mode is.  A "clone" is a "copy", or 
"mirror image" if you prefer, of the other display.  If you are
configuring the X server to use "clone mode", you are telling it
"I want both displays to be mirror image clones", which is what
it sounds like you are doing.

This sounds like a configuration issue rather than a real bug.
Please use the fedora-list@redhat.com or xorg@freedesktop.org
mailing lists to find help reconfiguring the server for dualhead.

Hope this helps.

Setting status to "NOTABUG"
Comment 3 Gabriel Matthews 2005-03-07 12:52:06 EST
I'm not sure that this is the issue.. if you read further down the
message, you see where I describe X crashing.. I can go in and remove
these changes in the /etc/X11/xorg.conf file, and all is well again. 
My laptop can handle cloning the display just fine on its own.. I want
it to span and give me one large desktop, and THAT is where it's crashing.
Comment 4 Sean Carolan 2005-03-24 11:31:50 EST
If you can be satisfied with two separate desktops (not clone), I can send you
my xorg.conf file.  I have this setup and it works fine on the same model laptop
you are using.  I have never tried one big huge desktop because my monitors are
different sizes and resolutions.
Comment 5 Gabriel Matthews 2005-03-24 12:29:48 EST
Hey, that'd be great.. Maybe it'd help me figure out what it is that's causing 
it to crash.

Thanks!

gabriel@cinergycom.com
Comment 6 Mike A. Harris 2005-04-15 09:18:03 EDT
Please update to the current xorg-x11-6.8.2 update for FC3 and indicate
if that solves the problem for you or not.  If the problem persists with
the 6.8.2 release, please file a bug report in X.Org bugzilla at
http://bugs.freedesktop.org in the "xorg" component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.
Comment 7 Mike A. Harris 2005-04-15 09:18:53 EDT
Setting status to "NEEDINFO", awaiting testing results and/or upstream
bug report URL for tracking.
Comment 8 Mike A. Harris 2005-08-30 02:52:01 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.